﻿using System;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace TestProject
{
    /// <summary>
    /// 메인 페이지
    /// </summary>
    public partial class MainPage : Page
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Protected

        #region 페이지 로드시 처리하기 - Page_Load(sender, e)

        /// <summary>
        /// 페이지 로드시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        protected void Page_Load(object sender, EventArgs e)
        {
            for(int i = 1; i <= 2; i++)
            {
                DropDownList dropDownList = new DropDownList();

                dropDownList.ID = string.Format("dropDownList{0}", i);

                dropDownList.Items.Add(new ListItem("Text1", "Value1"));
                dropDownList.Items.Add(new ListItem("Text2", "Value2"));
                dropDownList.Items.Add(new ListItem("Text3", "Value3"));

                this.placeHolder.Controls.Add(dropDownList);
            }
        }

        #endregion
        #region 값 구하기 버튼 클릭시 처리하기 - getValueButton_Click(sender, e)

        /// <summary>
        /// 값 구하기 버튼 클릭시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        protected void getValueButton_Click(object sender, EventArgs e)
        {
            this.messageLabel.Text = "선택된 값 : ";

            for(int i = 1; i <= 2; i++)
            {
                DropDownList dropDownList = this.placeHolder.FindControl(String.Format("dropDownList{0}", i)) as DropDownList;

                if(dropDownList != null)
                {
                    this.messageLabel.Text += dropDownList.SelectedValue + ", ";
                }
            }
        }

        #endregion
    }
}